Bug 19750 - Overdues without a fine rule add warnings to log
Summary: Overdues without a fine rule add warnings to log
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-05 15:23 UTC by Kyle M Hall
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19750 - Overdues without a fine rule add warnings to log (1.30 KB, patch)
2017-12-05 15:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19750 - Overdues without a fine rule add warnings to log (1.06 KB, patch)
2018-02-01 01:32 UTC, Dilan Johnpullé
Details | Diff | Splinter Review
Bug 19750 - Overdues without a fine rule add warnings to log (1.12 KB, patch)
2018-02-01 12:35 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-12-05 15:23:21 UTC
When running fines.pl, any overdue items that have no corresponding circulation rule will generate the following warning in the log files:

Use of uninitialized value $amount in numeric gt (>) at /usr/share/koha/bin/cronjobs/fines.pl line 133.
Comment 1 Kyle M Hall 2017-12-05 15:25:53 UTC
Created attachment 69509 [details] [review]
Bug 19750 - Overdues without a fine rule add warnings to log

When running fines.pl, any overdue items that have no corresponding circulation rule will generate the following warning:

Use of uninitialized value $amount in numeric gt (>) at /usr/share/koha/bin/cronjobs/fines.pl line 133.

Test Plan:
1) Create a single circ rule
2) Backdate a checkout so it is overdue
3) Delete the circ rule
4) Run fines.pl, note the warning
5) Apply this patch
6) Run fines.pl, note the warning is gone
Comment 2 Dilan Johnpullé 2018-02-01 01:32:21 UTC
Created attachment 71101 [details] [review]
Bug 19750 - Overdues without a fine rule add warnings to log

Followed test plan and works as expected.
Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>
Comment 3 Kyle M Hall 2018-02-01 12:35:06 UTC
Created attachment 71110 [details] [review]
Bug 19750 - Overdues without a fine rule add warnings to log

Followed test plan and works as expected.
Signed-off-by: Dilan Johnpullé <dilan@calyx.net.au>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2018-02-02 15:09:31 UTC
Dilan, please do not remove the original commit message when signing off.
Comment 5 Jonathan Druart 2018-02-02 15:11:25 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 02:28:15 UTC
Awesome work all, pushed to stable for 17.11.03